microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Cancel an agent invocation
POST
/agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel
Cancels an invocation. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Parâmetros de caminho
agent_name
string
exigido
The name of the agent.
invocation_id
string
exigido
The unique identifier of the invocation to cancel.
Parâmetros do cabeçalho
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Corpo da solicitação
Optional request body.
Content-Type: */*
Respostas
The request has succeeded.
Cabeçalhos
x-agent-session-id
string
exigido
Session ID for this invocation. Returns the session ID associated with the invocation.
Corpo
Content-Type: */*
Solicitar
POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel HTTP/1.1
Resposta
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json